﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Mvc4Base.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult TestImage()
        {
            var bmp = new Bitmap(300, 300);
            var g = Graphics.FromImage(bmp);

            var b = new SolidBrush(Color.Blue);
            g.FillRectangle(b, 0, 0, bmp.Width, bmp.Height);

            var p = new Pen(Color.Chartreuse);
            g.DrawLine(p, 0, 0, bmp.Width, bmp.Height);
            g.DrawLine(p, 0, bmp.Height, bmp.Width, 0);

            Response.Clear();

            using (var ms = new MemoryStream())
            {
                bmp.Save(ms, ImageFormat.Png);

                return File(ms.GetBuffer(), "image/png");
            }
        }
    }
}
